10

I'm beginning some work on some new Tridion GUI extensions and I'll like to use CSS3 and some HTML5 features. I'm guessing 2011 was scoped for IE7, but is that true of 2013? Does Tridion use any polyfills, or feature detection?

11

The following web browsers are listed as supported in the documentation for SDL Tridion 2013, under Content Manager Explorer prerequisites

  • Internet Explorer 10.0
  • Internet Explorer 9.0
  • Safari 6.0 for the Mac
  • Google Chrome, latest version
  • Mozilla Firefox, latest version

I'm not aware of any polyfills or feature detection in use. This doesn't mean that you can't use them in extensions yourself of course :)

  • 2
    Dammit David, I just posted exactly the same thing, only to find I was some minutes behind you. – Dominic Cronin Apr 4 '13 at 20:45
  • 2
    Apologies; Have a comment upvote on the house. If it's any consolation, Nuno has done that to me many, many times :) – David Forster Apr 4 '13 at 21:04
  • Thanks David. Regarding the latest versions of chrome and FF, I saw in the config for 2011 that the browser version is hard coded in. Since Chrome updates pretty fast, it gets tiring when I see a "browser out of date". Will that change in 2013? – paceaux Apr 4 '13 at 21:47
  • I understand your point of view, but no this will not change with 2013. You will still see a warning if you use a browser version that is not considered to be supported. – David Forster Apr 5 '13 at 8:15
  • 2
    There's a difference between supported and tested. The warning is there just to let you know that something may not work, because we couldn't test it before the product was released. – Nuno Linhares Apr 5 '13 at 9:09

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.